GET
/alerts/monitoring-groups/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/monitoring-groups/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/monitoring-groups/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/monitoring-groups/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Retrieve all monitoring groups associated with alerts for a given project.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”Successful response with monitoring groups list
Media typeapplication/json
object
code
integer
message
string
total_page_number
integer
total_count
integer
data
Array<object>
object
id
integer
name
string
description
string
project
integer
member_ids
Array<integer>
alerts
Array<object>
object
id
integer
name
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
errors
object
Example
{ "code": 200, "message": "Success", "total_page_number": 1, "total_count": 3, "data": [ { "id": 26, "name": "Dev-Team", "description": "", "project": 10450, "member_ids": [ 12345 ], "alerts": [ { "id": 55, "name": "alert-260325114033" } ], "created_by": { "id": 1001, "name": "User Name", "email": "user@example.com", "username": "user@example.com" }, "created_at": "2026-03-19T11:32:09Z", "updated_at": "2026-03-19T11:32:09Z" } ], "errors": {}}